## python-aiojobs 1.1.0

=== Makefile ===
.PHONY: all
all: test

.install-deps: $(shell find requirements -type f)
	@pip install -r requirements/dev.txt
	@pre-commit install
	@touch .install-deps

.develop: .install-deps $(shell find aiojobs -type f)
	@pip install -e .
	@touch .develop

.PHONY: setup
setup: .develop

.PHONY: lint
lint:
	pre-commit run --all-files
	mypy .


.PHONY: test
test: .develop
	@pytest tests


.PHONY: cov
cov: .develop
	@PYTHONASYNCIODEBUG=1 pytest --cov=aiojobs tests
	@pytest --cov=aiojobs --cov-append --cov-report=html --cov-report=term tests
	@echo "open file://`pwd`/htmlcov/index.html"

.PHONY: doc
doc: .develop
	@make -C docs html SPHINXOPTS="-W -E"
	@echo "open file://`pwd`/docs/_build/html/index.html"

=== debian/changelog ===
python-aiojobs (1.1.0-2) unstable; urgency=medium

  * Add Andrew Svetlov to debian/copyright list.
  * Source-only upload.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 07 Sep 2023 10:32:12 +0100

python-aiojobs (1.1.0-1) unstable; urgency=low

  * Initial release. Closes: #1029966

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 25 Feb 2023 16:55:27 +0000

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	pytest tests

## python-aiojobs 1.3.0

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 .PHONY: lint
 lint:
 	pre-commit run --all-files
-	mypy .
+	mypy
 
 
 .PHONY: test

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = aiojobs
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-aiojobs (1.3.0-1) unstable; urgency=low

  * New upstream release.
   + Fixes various test failures. Closes: #1060944

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 15 Oct 2024 17:57:35 +0100

=== debian/control ===
Rules-Requires-Root: no
Standards-Version: 4.6.2.0
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-async-timeout (>= 4.0.0),
               python3-setuptools (>= 46.4),,
	       pybuild-plugin-pyproject,
	       python3-pytest,
	       python3-pytest-cov,
	       python3-pytest-asyncio,
	       python3-aiohttp,
	       python3-pytest-aiohttp,
Testsuite: autopkgtest-pkg-python
Source: python-aiojobs
Homepage: https://github.com/aio-libs/aiojobs
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Section: python
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/python-team/packages/python-aiojobs.git -b debian/main
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-aiojobs/tree/debian/main

Package: python3-aiojobs
Depends: ${python3:Depends}, ${misc:Depends}
Architecture: all
Enhances: python3-aiohttp
Description: Job scheduler for managing background tasks (asyncio)
 The library gives a controlled way for scheduling background tasks for
 Python asyncio applications.
 .
 It has integration for the aiohttp server, making it easy to
 spawn background jobs for requests.

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/aiojobs-$1\.tar\.gz/ https://github.com/aio-libs/aiojobs/tags .*\/v(\d\S+)\.tar\.gz

## python-aiojobs 1.4.0

=== debian/changelog ===
python-aiojobs (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fixed exceptions being incorrectly suppressed in
      Scheduler.wait_and_close() (closes: #1114291).
  * Run tests on all supported Python versions.
  * Switch to autopkgtest-pkg-pybuild.
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.
  * Drop build-dependency on python3-async-timeout, no longer needed with
    Python >= 3.11.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Tue, 23 Dec 2025 01:04:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
-Rules-Requires-Root: no
-Standards-Version: 4.6.2.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                python3-all,
-               python3-async-timeout (>= 4.0.0),
-               python3-setuptools (>= 46.4),,
+               python3-setuptools (>= 46.4),
 	       pybuild-plugin-pyproject,
 	       python3-pytest,
 	       python3-pytest-cov,
 	       python3-pytest-asyncio,
 	       python3-aiohttp,
 	       python3-pytest-aiohttp,
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Source: python-aiojobs
 Homepage: https://github.com/aio-libs/aiojobs
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS := --no-cov

%:
	dh $@ --buildsystem=pybuild
